summaryrefslogtreecommitdiffstats
path: root/main/xen/xenstored.initd
diff options
context:
space:
mode:
Diffstat (limited to 'main/xen/xenstored.initd')
-rw-r--r--main/xen/xenstored.initd7
1 files changed, 7 insertions, 0 deletions
diff --git a/main/xen/xenstored.initd b/main/xen/xenstored.initd
index bbb4efb0c..f2c22cc70 100644
--- a/main/xen/xenstored.initd
+++ b/main/xen/xenstored.initd
@@ -23,6 +23,13 @@ wait_xenstored_up() {
start() {
local _traceopt=
ebegin "Starting xenstored daemon"
+
+ if ! test -f /proc/xen/capabilities && \
+ ! grep '^xenfs ' /proc/mounts >/dev/null;
+ then
+ mount -t xenfs xenfs /proc/xen
+ fi
+
modprobe xen-evtchn 2>/dev/null
modprobe xen-gntdev 2>/dev/null
modprobe evtchn 2>/dev/null